# Interface methods for submodule: ShotNoiseImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import NoiseBaseImageFilterProxy as _NoiseBaseImageFilterProxy


# Interface methods for class: ShotNoiseImageFilter
class ShotNoiseImageFilterProxy(_NoiseBaseImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetScale(self) -> float:
		""""""
		...

	def SetScale(self, _arg: float) -> None:
		""""""
		...

